Skip to main content
POST
Provision a Network Token

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Headers

x-idempotency-key
string<uuid>
required

Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.

Path Parameters

instrumentId
string<uuid>
required

Identifier of the resource in Payrails.

Body

application/json

Request body for provisioning a network token.

providerConfigId
string<uuid>

Optional. The ID of the network token provider config to use for provisioning. When provided, the network token will be provisioned using the specified provider config. When omitted, the default network token provider config is used.

Example:

"11111111-1111-1111-1111-111111111111"

Response

Success.

success
boolean

Whether or not a network token was successfully provisioned.

result
string

Result of the operation according to Payrails mapping from the provider response.

resultDetail
string

Additional details of the operation result according to Payrails mapping from the provider response.

errors
string[]

List of errors that occurred when provisioning a network token.

Last modified on October 7, 2026